Minion Beta! - Help us test our new AddOn updater. Get it now!
Download
(102 Kb)
Download
Updated: 10-14-09 10:58 PM
Pictures
File Info
Updated:10-14-09 10:58 PM
Created:unknown
Downloads:124,034
Favorites:618
MD5:

Ace2  Popular! (More than 5000 hits)

Version: 2.0.1094
by: Kaelten [More]

Current Version: 2.0.1094

Ace2 has been discontinued and will only be receiving minimal maintenance in favor of Ace3

Ace2 is an embeddable framework for rapid mod development.

Features:

  • 100% embeddable. An Ace2 addon should never require Ace2 as a dependency.
  • Provides the following modules:
    • Ace00 - Provides a fully functional object oriented framework. - Documentation
    • AceLibrary - A global versioning library to handle other library instances, upgrading, and access. - Documentation
    • AceEvent - A mixin to allow for centralized event handling. Also allows for custom psudo-events. - Documentation
    • AceHook - A mixin to allow for safe hooking of functions, methods, and scripts. - Documentation
    • AceDB - A mixin to allow for fast, clean, and feature filled saved variable access along with customizable profiles. - Documentation
    • AceDebug - A mixin to allow for simple debugging capabilities. - Documentation
    • AceLocale - A localization library for addons to use to handle proper localization and internationalization. - Documentation
    • AceConsole - A mixin to allow for chatline input/output capabilities. - Documentation
    • AceAddon - A basis for addons to use that can accept mixins and handles initialization events. - Documentation
    • AceModuleCore - A mixin to provide a simple modularization framework. - Documentation
A Couple of Notes:
  • Pretty much this file is for developers to use. End users can run it if they wish. However by itself it doesn't do much.
  • Ace2 will not work as a dependency for Ace 1.x based addons, however they can work side by side very well.


Ace2 Documentation on the Wiki

Please Post Bugs Using this Link

Please Post Feature Requests Using this Link

Version History

Optional Files (1)
File Name
Version
Size
Author
Date
Type
r1113
156kB
04-16-12 03:17 AM
Patch


Archived Files (1)
File Name
Version
Size
Author
Date
2.0.4885 RC2
49kB
Kaelten
07-14-06 11:24 PM


Post A Reply Comment Options
Unread 08-19-08, 09:08 AM  
Kelerinia
A Kobold Labourer

Forum posts: 0
File comments: 2
Uploads: 0
A lot of people are having the same problem I am having also. I have no idea why it says incompatible, i even took all my addons out of my addon folder except Ace2 and it still says it, i probably downloaded 100 different Ace2 3 and 1 files just to see if it would work. This is screwed up. And noone is posting how to fix it so, I'm really ticked....
Kelerinia is offline Report comment to moderator  
Reply With Quote
Unread 06-16-07, 07:57 AM  
ashinhoc
A Kobold Labourer

Forum posts: 0
File comments: 1
Uploads: 0
I have weird a problem that ace2 tries to move stuff in my bags including my shards out of my shard bag and other stuff into my shard bag. I troubleshot by unloading just ace2 and everything worked fine, so I went through and unloaded all the ace2 mods (but loaded ace2) and it still tried moving stuff around. Unless I missed an ace2 mod, for some reason it's messing up. I do have the current ace2, any suggestions why it's doing this or how to fix it?
ashinhoc is offline Report comment to moderator  
Reply With Quote
Unread 04-23-07, 05:58 AM  
OttoDeFe
A Chromatic Dragonspawn
 
OttoDeFe's Avatar
AddOn Author - Click to view AddOns

Forum posts: 178
File comments: 193
Uploads: 12
Ace2 is embedded so unless you're running StandAlones, there's no real reason to have it separate. If you do want the libraries by themselves, try WoWAce Files . I believe a BC compatible Ace is there, too
__________________
"They say
the pen is mightier than any saber -
any sword -
but if there's a war
I just don't know if a Bic will save ya..."

-- Last Offence
OttoDeFe is offline Report comment to moderator  
Reply With Quote
Unread 04-23-07, 04:43 AM  
Redelfhat
A Kobold Labourer

Forum posts: 0
File comments: 2
Uploads: 0
ok i don't know what is going on but neither Ace nor Ace2 will work for me, they both say incompatible, please help
And why are we all having the same problem?
Redelfhat is offline Report comment to moderator  
Reply With Quote
Unread 02-22-07, 10:05 PM  
tarrant
A Kobold Labourer

Forum posts: 0
File comments: 2
Uploads: 0
Re: Does'nt work anyway

Originally posted by Ventas
It does'nt seem' to work for me anyway. Downloaded the last version, and it keep saying incompati... ble... e

The same happens with Ace (The original version) and Squeenix


Doh!
same here
tarrant is offline Report comment to moderator  
Reply With Quote
Unread 02-02-07, 12:09 AM  
Ev_
An Aku'mai Servant

Forum posts: 37
File comments: 8
Uploads: 0
Ace2 + decorative pet = error

When trying to use any "decorative pets" for the first time the "Using this item will bind it to you" message pops up. Clicking OK causes this error message from any Ace mod:

[FuBar, XLoot, etc] has been blocked from an action only available to the Blizzard UI. You can disable this addon and reload the UI.

Only happens when trying to bind a new pet, not BoP or BoE items.
Ev_ is offline Report comment to moderator  
Reply With Quote
Unread 01-06-07, 03:44 PM  
gabullucca
A Kobold Labourer

Forum posts: 0
File comments: 1
Uploads: 0
Beta version can be downloaded from www.wowace.com
or if on PC you can use the updater

http://sourceforge.net/projects/wowaceupdater

to update both your squeenix and ace to latest versions.

hope that helps answer the last posts!
gabullucca is offline Report comment to moderator  
Reply With Quote
Unread 12-28-06, 02:50 PM  
Ventas
A Kobold Labourer

Forum posts: 0
File comments: 1
Uploads: 0
Unhappy Does'nt work anyway

It does'nt seem' to work for me anyway. Downloaded the last version, and it keep saying incompati... ble... e

The same happens with Ace (The original version) and Squeenix


Doh!
Ventas is offline Report comment to moderator  
Reply With Quote
Unread 12-22-06, 01:29 AM  
sylvanshadows
A Kobold Labourer
 
sylvanshadows's Avatar

Forum posts: 0
File comments: 4
Uploads: 0
Smile Re: ace2 for the 2.0 patch

Originally posted by thedominator83
hi there
when is ace2 gonna be available for the 2.0 patch??

theres some mods i wanna use but they need ace2

thanks

dom
if you go to wowace.com, there is a current version posted
sylvanshadows is offline Report comment to moderator  
Reply With Quote
Unread 12-19-06, 02:00 AM  
thedominator83
A Defias Bandit

Forum posts: 2
File comments: 6
Uploads: 0
ace2 for the 2.0 patch

hi there
when is ace2 gonna be available for the 2.0 patch??

theres some mods i wanna use but they need ace2

thanks

dom
thedominator83 is offline Report comment to moderator  
Reply With Quote
Unread 12-08-06, 05:23 PM  
AncientOne
A Kobold Labourer

Forum posts: 0
File comments: 1
Uploads: 0
Is Ace2 now compatible with the 2.0 Lua code or does that not matter.
AncientOne is offline Report comment to moderator  
Reply With Quote
Unread 12-08-06, 10:05 AM  
Lewzephyr
A Murloc Raider
 
Lewzephyr's Avatar

Forum posts: 8
File comments: 38
Uploads: 0
Ace2 error when Disenchanting.

I am posting this here, as the WoWAce forums are presently offline due to the patch day festivities.

The moment you click on the disenchant button, this error shows up:

Ace2 has been blocked from an action only available to the Blizzard UI. You can disable this addon and reload the UI.
Disabling it, reloads UI, then I get the same error for MobHealth, then ag_Unitframes., and the beat goes on. Presently I have to disable most of my Ace2 mods to be able to disenchant.
__________________
Putting the laughter back into Slaughter!!!!
Last edited by Lewzephyr : 12-08-06 at 10:09 AM.
Lewzephyr is offline Report comment to moderator  
Reply With Quote
Unread 11-18-06, 01:36 AM  
OttoDeFe
A Chromatic Dragonspawn
 
OttoDeFe's Avatar
AddOn Author - Click to view AddOns

Forum posts: 178
File comments: 193
Uploads: 12
1) Ace and Ace2 are separate entities. Both can run concurrently w/o difficulty.
2) Ace2 is embeddable, Ace is not.
3) Ace2 is set up so that only the most recent revision of any major version remains in memory after load up. Major versions are designated by the numbers after the library name: AceLocale-2.0, AceLocale-2.1 are both major versions, and can run side by side if need be. Minor versions or revisions are designated by their SVN commit number.
4) AceGUI is a library from pre-Ace2 days. It help with many of the tasks of setting up a GUI - it's used in KCItems, for instance. There are rumors of an Ace2 version...
5) http://www.wowace.com is your friend here. The main site is a wiki all about Ace, Ace2 and the various mods. The descriptions of the addons is varied in it's completion, but still helpful. The navigation links on the left side will helps you find what you need.

If you're running several Ace2 AddOns, I recommend you get DeuceCommander. It puts all the slash commands into an acessable FuBar/Minimap button. http://www.wowace.com/files. Most the current versions of all the Ace Addons are there, but are betas. 99% of which are pretty darned stable.
__________________
"They say
the pen is mightier than any saber -
any sword -
but if there's a war
I just don't know if a Bic will save ya..."

-- Last Offence
OttoDeFe is offline Report comment to moderator  
Reply With Quote
Unread 11-18-06, 12:45 AM  
iyad
A Murloc Raider

Forum posts: 6
File comments: 10
Uploads: 0
Confused about ACE

I consider myself fairly savvy about wow mods (using, not creating them). Yet Ace has me totally confused. I'd appreciate if someone can answer the following questions for me:

1) Does Ace2 supersede Ace or are they different libraries altogether? Seems that some mods require Ace and will not work even if I have Ace2 installed.
2) Are both Ace and Ace2 embeddable?
3) Since apparently not all developers want/can/like to embed Ace withing their mods, this forces me (the user) to find and install Ace separately. Therefore ending up always having multiple versions of Ace (embedded+standalone) running at the same time. Is this a problem?
4) What is AceGUI? Is this some other library? Is it an embedded library as well or do I have to install it on its own?
5) Why are the answers to these questions not clearly listed in the various mod sites? Do you realize how confusing this is to most non-technical users?

TIA for responding.
Last edited by iyad : 11-18-06 at 12:46 AM.
iyad is offline Report comment to moderator  
Reply With Quote
Unread 10-19-06, 09:40 PM  
Greymalkin
A Defias Bandit

Forum posts: 2
File comments: 11
Uploads: 0
FrameXML error

When Ace2 is loaded on its own (rather than only being embedded) it turns out to not play nice with the Confab addon. I know that is shouldn't have to be ran on its own, but SortEnchant requires a stand alone copy of it at the moment if you want to use SortEnchant until the creater can iron out the bug with its embedded Ace2 files. Anyway, the Ace2/Confab error I get is:

Interface\FrameXML\ChatFrame.lua: 1847: attempt to call a nil value

I hope this helps.
Greymalkin is offline Report comment to moderator  
Reply With Quote
Post A Reply



Category Jump:

Support AddOn Development!

You have just downloaded by the author . If you like this AddOn why not consider supporting the author? This author has set up a donation account. Donations ensure that authors can continue to develop useful tools for everyone.